package com.google.android.exoplayer2.h;

import com.google.android.exoplayer2.h.s.c;
import java.io.IOException;

public interface s$a<T extends c> {
    int a(T t, long j, long j2, IOException iOException);

    void a(T t, long j, long j2);

    void a(T t, long j, long j2, boolean z);
}
